Subject: bug report (sunos4)
From: Paul Bartholdi <[email-masked]>
To: [email-masked]

Hello,

I tried this morning to install S/Key for sunos4
and found the following problems:

1.  the file  skey/src/skeyinit.c  contains the bug already  reported
    (incoude instead of include), but I also had to change lightly
    the includes for time.  Here is the diff

14a15,16
> #include <sys/time.h>
> #include <sys/timeb.h>
16d17
< #include <time.h>

I hope this will be usefull for the next user.  Otherwise no problem
for the installation (not yet used).

                                         Paul Bartholdi
                                       Geneva Observatory
=====================================================

From: [email-masked] (Matt Cohen)
Message-Id: <[email-masked]>
To: [email-masked], [email-masked]
Subject: Re: can't comile skey on SunOS4
Status: R

[email-masked] (Frances Yip - E81) sez:
> This is what I got when I try to compile the program, 
> [...]
> cc -o keyinit -g -DUSE_ECHO -DSUN skeyinit.c libskey.a 
> "/usr/include/sys/resource.h", line 25: undefined structure or union
> [...]

        Try adding "#include <sys/time.h>" to skeyinit.c right above
"#include <sys/resource.h>".  That should help.

        It seems that this distribution might not be quite ready for
prime time.  Anyone know where an older stable version is available,
or when this version will be stable?

                                -- Matt @8^1

.

============================================
From: [email-masked] (C. Philip Wood)
Message-Id: <[email-masked]>
To: [email-masked]
Subject: Sparc 10 compilation of skey
Status: R

The following diffs made things work for me. (SunOS 4.1.3 Sparc 10)

diff -c2 -r xxx/misc/login/login/Makefile skey/misc/login/login/Makefile
*** xxx/misc/login/login/Makefile       Tue Nov  2 13:16:31 1993
--- skey/misc/login/login/Makefile      Thu Feb 10 10:59:14 1994
***************
*** 23,29 ****
--- 23,33 ----
  OBJS= login.o login_access.o login_fbtab.o
  SYSLIBS=
+ LIB=  ../../../src
  
  what:
        @echo make sunos5 or sunos4 or ultrix4 1>&2; exit 1
+ 
+ libskey.a:
+       ln -s $(LIB)/libskey.a libskey.a
  
  all: lib login try
diff -c2 -r xxx/misc/login/login/login.c skey/misc/login/login/login.c
*** xxx/misc/login/login/login.c        Tue Nov  2 13:06:44 1993
--- skey/misc/login/login/login.c       Sat Feb  5 16:08:10 1994
***************
*** 55,59 ****
  #include <netdb.h>
  #include <sys/utsname.h>
! #include <ident.h>
  
  #ifdef __svr4__
--- 55,59 ----
  #include <netdb.h>
  #include <sys/utsname.h>
! /*#include <ident.h> /* for what I donno */
  
  #ifdef __svr4__
diff -c2 -r xxx/src/Makefile skey/src/Makefile
*** xxx/src/Makefile    Tue Nov  9 07:46:12 1993
--- skey/src/Makefile   Sun Feb  6 13:12:01 1994
***************
*** 6,11 ****
  # Scott Chasin <[email-masked]>
  
! MANDIR  =  /usr/local/man/man8
! DESTDIR =  /usr/local/bin
  
  CFLAGS        =  -g -DUSE_ECHO
--- 6,11 ----
  # Scott Chasin <[email-masked]>
  
! MANDIR  =  /usr/staff/man/man8
! BIN =  /usr/staff/bin
  
  CFLAGS        =  -g -DUSE_ECHO
***************
*** 72,74 ****
  
  clean:
!       rm -f key keyinit keysh *.o libskey.a *.bak *.BAK *.s tags
--- 72,74 ----
  
  clean:
!       rm -f key keyinit keysh *.o *.bak *.BAK *.s tags
diff -c2 -r xxx/src/skeyinit.c skey/src/skeyinit.c
*** xxx/src/skeyinit.c  Thu Nov 11 19:57:12 1993
--- skey/src/skeyinit.c Sat Feb  5 13:49:37 1994
***************
*** 13,18 ****
  #include <string.h>
  #include <pwd.h>
! #incoude <sys/resource.h>
! #include <time.h>
  
  #ifdef __svr4__
--- 13,18 ----
  #include <string.h>
  #include <pwd.h>
! #include <sys/time.h>
! #include <sys/resource.h>
  
  #ifdef __svr4__

============================================
From: Steve Simmons <[email-masked]>
Message-Id: <[email-masked]>
Subject: Problems with thumper copy
To: [email-masked]
Date: Thu, 31 Mar 1994 21:18:42 -0500 (EST)
X-Mailer: ELM [version 2.4 PL23]
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Length: 2681      
Status: R

The thumper copy of skey has several errors which prevent compilation
and proper install.  Presumably there was some minor corruption to the
source.  I've been unable to access crimelab.com to see if there is a
more current version.  The following patch permits correct compilation
and build on SunOS 4.1.3.  I've also thrown in some fixes to the
Makefile which should make installation more robust and (if one wishes)
more complete.

Many thanks for the good work - skey looks great.

Steve

*** skeyinit.c-dist     Thu Nov 11 21:57:12 1993
--- skeyinit.c  Thu Mar 31 20:49:31 1994
***************
*** 12,19 ****
  #include <stdio.h>
  #include <string.h>
  #include <pwd.h>
! #incoude <sys/resource.h>
! #include <time.h>
  
  #ifdef __svr4__
  #include <sys/systeminfo.h>
--- 12,19 ----
  #include <stdio.h>
  #include <string.h>
  #include <pwd.h>
! #include <sys/time.h>
! #include <sys/resource.h>
  
  #ifdef __svr4__
  #include <sys/systeminfo.h>
*** Makefile-dist       Tue Nov  9 09:46:12 1993
--- Makefile    Thu Mar 31 21:06:35 1994
***************
*** 5,11 ****
  # John S. Walden <[email-masked]>
  # Scott Chasin <[email-masked]>
  
! MANDIR  =  /usr/local/man/man8
  DESTDIR =  /usr/local/bin
  
  CFLAGS        =  -g -DUSE_ECHO
--- 5,13 ----
  # John S. Walden <[email-masked]>
  # Scott Chasin <[email-masked]>
  
! MANEXT        =  8
! MANDIR  =  /usr/local/man/man$(MANEXT)
! LIBDIR        =  /usr/local/lib
  DESTDIR =  /usr/local/bin
  
  CFLAGS        =  -g -DUSE_ECHO
***************
*** 35,46 ****
  setuid:
        chmod u+s keyinit keysh
  
! install:
!       chmod u+s keyinit keysh
!       mv key $(BIN)
!       mv keyinit $(BIN)
!       mv keysh $(BIN)
  
  sunos5:
        make all SYS=$@ RANLIB="echo" CFLAGS="$(CFLAGS) -DSYSV -DSOLARIS \
          -DSIGVOID"
--- 37,60 ----
  setuid:
        chmod u+s keyinit keysh
  
! install:      key keyinit keysh
!       cp key $(DESTDIR)
!       cp keyinit $(DESTDIR)
!       cp keysh $(DESTDIR)
!       chmod 511 $(DESTDIR)/key $(DESTDIR)/keyinit $(DESTDIR)/keysh
!       chmod u+s $(DESTDIR)/keyinit $(DESTDIR)/keysh
  
+ install.lib:  $(LIB)
+       cp $(LIB) $(LIBDIR)/$(LIB)
+       chmod 644 $(LIBDIR)/$(LIB)
+       ranlib $(LIBDIR)/$(LIB)
+ 
+ install.man:
+       cp ../man/key.1 $(MANDIR)/key.$(MANEXT)
+       cp ../man/keyinit.1 $(MANDIR)/keyinit.$(MANEXT)
+       cp ../man/keysh.1 $(MANDIR)/keysh.$(MANEXT)
+       cp ../man/skey.1 $(MANDIR)/skey.$(MANEXT)
+ 
  sunos5:
        make all SYS=$@ RANLIB="echo" CFLAGS="$(CFLAGS) -DSYSV -DSOLARIS \
          -DSIGVOID"
***************
*** 71,74 ****
        @echo "Make completed."
  
  clean:
!       rm -f key keyinit keysh *.o libskey.a *.bak *.BAK *.s tags
--- 85,88 ----
        @echo "Make completed."
  
  clean:
!       rm -f key keyinit keysh *.o $(LIB) *.bak *.BAK *.s tags

-------------------------------------------------------------------------------